Loading...
Searching...
No Matches
Opm::FractureMapper< TypeTag > Class Template Reference

Stores the topology of fractures. More...

`#include <fracturemapper.hh>`

## Public Member Functions

void | addFractureEdge (unsigned vertexIdx1, unsigned vertexIdx2)
| Marks an edge as having a fracture.
bool | isFractureVertex (unsigned vertexIdx) const
| Returns true iff a fracture cuts through a given vertex.
bool | isFractureEdge (unsigned vertex1Idx, unsigned vertex2Idx) const
| Returns true iff a fracture is associated with a given edge.

## Detailed Description

template<class TypeTag>
class Opm::FractureMapper< TypeTag >

Stores the topology of fractures.

## Member Function Documentation

## addFractureEdge()

template<class TypeTag>

void Opm::FractureMapper< TypeTag >::addFractureEdge | ( | unsigned | vertexIdx1,
|  | unsigned | vertexIdx2 )

inline

Marks an edge as having a fracture.

Parameters

  vertexIdx1 | The index of the edge's first vertex.
  vertexIdx2 | The index of the edge's second vertex.

## isFractureEdge()

template<class TypeTag>

bool Opm::FractureMapper< TypeTag >::isFractureEdge | ( | unsigned | vertex1Idx,
|  | unsigned | vertex2Idx ) const

inline

Returns true iff a fracture is associated with a given edge.

Parameters

  vertex1Idx | The index of the first vertex of the edge.
  vertex2Idx | The index of the second vertex of the edge.

## isFractureVertex()

template<class TypeTag>

bool Opm::FractureMapper< TypeTag >::isFractureVertex | ( | unsigned | vertexIdx | ) | const

inline

Returns true iff a fracture cuts through a given vertex.

Parameters

  vertexIdx | The index of the vertex.

The documentation for this class was generated from the following file:

- opm/models/discretefracture/fracturemapper.hh